/***************************************************************************
 *   Copyright (C) 2006 by Vladimir Jary
 *   vljary.urk@centrum.cz
 *                                                                   
 *   This program is free software; you can redistribute it and/or modify  
 *   it under the terms of the GNU General Public License as published by 
 *   the Free Software Foundation; either version 2 of the License, or     
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, 
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. 
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the 
 *   Free Software Foundation, Inc., 
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
 ***************************************************************************/

void videoForm::init()
{
	lastDir = QDir::homeDirPath();
}

void videoForm::locateFile()
{
	QString fileName = QFileDialog::getOpenFileName(
                    lastDir,
                    tr("Videos (*.mpg *.mpeg *.mpeg2 *.dv);;Any files (*)"),
                    this,
                    "open file dialog",
                    tr("Select source file") );
	if(!fileName.isEmpty())
	{
		editFileName->setText(fileName);
		lastDir = fileName;
	}
}


void videoForm::insert()
{
	QString label = editFileName->text();
	if(label.isEmpty())
	{
		QMessageBox::information( this, tr("Insert video"),
tr("Please, select video file.") );
		return;
	}
	QStringList tags;
	tags << editFileName->text();
	tags << editArtist->text();
	tags << editTitle->text();
	tags << editDate->text();
	tags << editLocation->text();
	tags << editOrganization->text();
	tags << editCopyright->text();
	tags << editLicence->text();
	emit inserted(tags);
	editFileName->setText(QString::null);
}
